#!/bin/bash
#
# The ToolChain v1.0.54
#
# Update script for changes introduced in v1.0.54 of The ToolChain.
#
# This script shall help you in porting your project to compile with a newer release of The ToolChain.
# Updatescripts must be run in order starting at first version released after your current project.
# In addtion to run this script, you should compile and check your project for every version update.
#
ttc_manage.pl replace "board_stm32f103c8t6_minimum.h" "board_stm32f103c8t6_blue_pill.h"
ttc_manage.pl replace "board_stm32f103c8t6_minimum.c" "board_stm32f103c8t6_blue_pill.c"
ttc_manage.pl replace "board_stm32f103c8t6_minimum.o" "board_stm32f103c8t6_blue_pill.o"
ttc_manage.pl replace "board_stm32f103c8t6_minimum_types.h" "board_stm32f103c8t6_blue_pill_types.h"
ttc_manage.pl replace "stm32f103c8t6_minimum" "stm32f103c8t6_blue_pill"
ttc_manage.pl replace "ttc_assert_origin_OK" "E_ttc_assert_origin_OK"
ttc_manage.pl replace "ttc_assert_hardfault" "E_ttc_assert_hardfault"
ttc_manage.pl replace "ttc_assert_origin_auto" "E_ttc_assert_origin_auto"
ttc_manage.pl replace "ttc_assert_origin_unknown" "E_ttc_assert_origin_unknown"
ttc_manage.pl replace "baudrate" "bitrate"
ttc_manage.pl replace "Baudrate" "BitRate"
ttc_manage.pl replace "ttc_heap_register_block" "ttc_heap_allocate_register"
ttc_manage.pl replace "ttc_heap_unregister_block" "ttc_heap_allocate_unregister"
ttc_manage.pl replace "TTC_HEAP_STATISTICS" "TTC_TUNABLE_DEBUG_HEAP_STATISTICS"
ttc_manage.pl replace "TTC_HEAP_RECORDS" "TTC_TUNABLE_DEBUG_HEAP_RECORDS"
ttc_manage.pl replace "TTC_HEAP_POOL_BLOCK_END_MARKER" "TTC_TUNABLE_DEBUG_HEAP_POOL_BLOCK_END_MARKER"
ttc_manage.pl replace "TTC_TUNABLE_DEBUG_HEAP_POOL_BLOCK_END_MARKER" "TTC_TUNABLE_SELFCHECK_HEAP_POOL_BLOCK_END_MARKER"
ttc_manage.pl replace "TTC_ASSERT_ACCELEROMETER" "TTC_TUNABLE_SELFCHECK_ASSERT_ACCELEROMETER"
ttc_manage.pl replace "TTC_ASSERT_ADC" "TTC_TUNABLE_SELFCHECK_ASSERT_ADC"
ttc_manage.pl replace "TTC_ASSERT_BASIC" "TTC_TUNABLE_SELFCHECK_ASSERT_BASIC"
ttc_manage.pl replace "TTC_ASSERT_BOARD" "TTC_TUNABLE_SELFCHECK_ASSERT_BOARD"
ttc_manage.pl replace "TTC_ASSERT_CAN" "TTC_TUNABLE_SELFCHECK_ASSERT_CAN"
ttc_manage.pl replace "TTC_ASSERT_CM3" "TTC_TUNABLE_SELFCHECK_ASSERT_CM3"
ttc_manage.pl replace "TTC_ASSERT_CPU" "TTC_TUNABLE_SELFCHECK_ASSERT_CPU"
ttc_manage.pl replace "TTC_ASSERT_CRC" "TTC_TUNABLE_SELFCHECK_ASSERT_CRC"
ttc_manage.pl replace "TTC_ASSERT_DAC" "TTC_TUNABLE_SELFCHECK_ASSERT_DAC"
ttc_manage.pl replace "TTC_ASSERT_DMA" "TTC_TUNABLE_SELFCHECK_ASSERT_DMA"
ttc_manage.pl replace "TTC_ASSERT_ETHERNET" "TTC_TUNABLE_SELFCHECK_ASSERT_ETHERNET"
ttc_manage.pl replace "TTC_ASSERT_FILESYSTEM" "TTC_TUNABLE_SELFCHECK_ASSERT_FILESYSTEM"
ttc_manage.pl replace "TTC_ASSERT_FONT" "TTC_TUNABLE_SELFCHECK_ASSERT_FONT"
ttc_manage.pl replace "TTC_ASSERT_GFX" "TTC_TUNABLE_SELFCHECK_ASSERT_GFX"
ttc_manage.pl replace "TTC_ASSERT_GPIO" "TTC_TUNABLE_SELFCHECK_ASSERT_GPIO"
ttc_manage.pl replace "TTC_ASSERT_GYROSCOPE" "TTC_TUNABLE_SELFCHECK_ASSERT_GYROSCOPE"
ttc_manage.pl replace "TTC_ASSERT_HEAP" "TTC_TUNABLE_SELFCHECK_ASSERT_HEAP"
ttc_manage.pl replace "TTC_ASSERT_I2C" "TTC_TUNABLE_SELFCHECK_ASSERT_I2C"
ttc_manage.pl replace "TTC_ASSERT_INPUT" "TTC_TUNABLE_SELFCHECK_ASSERT_INPUT"
ttc_manage.pl replace "TTC_ASSERT_INTERFACE" "TTC_TUNABLE_SELFCHECK_ASSERT_INTERFACE"
ttc_manage.pl replace "TTC_ASSERT_INTERRUPT" "TTC_TUNABLE_SELFCHECK_ASSERT_INTERRUPT"
ttc_manage.pl replace "TTC_ASSERT_LAYER_PHY" "TTC_TUNABLE_SELFCHECK_ASSERT_LAYER_PHY"
ttc_manage.pl replace "TTC_ASSERT_LED" "TTC_TUNABLE_SELFCHECK_ASSERT_LED"
ttc_manage.pl replace "TTC_ASSERT_LIGHT" "TTC_TUNABLE_SELFCHECK_ASSERT_LIGHT"
ttc_manage.pl replace "TTC_ASSERT_LIST" "TTC_TUNABLE_SELFCHECK_ASSERT_LIST"
ttc_manage.pl replace "TTC_ASSERT_MATH" "TTC_TUNABLE_SELFCHECK_ASSERT_MATH"
ttc_manage.pl replace "TTC_ASSERT_MEMORY" "TTC_TUNABLE_SELFCHECK_ASSERT_MEMORY"
ttc_manage.pl replace "TTC_ASSERT_MODE_FAST" "TTC_TUNABLE_SELFCHECK_ASSERT_MODE_FAST"
ttc_manage.pl replace "TTC_ASSERT_MODE_ORIGINS" "TTC_TUNABLE_SELFCHECK_ASSERT_MODE_ORIGINS"
ttc_manage.pl replace "TTC_ASSERT_MUTEX" "TTC_TUNABLE_SELFCHECK_ASSERT_MUTEX"
ttc_manage.pl replace "TTC_ASSERT_NETWORK" "TTC_TUNABLE_SELFCHECK_ASSERT_NETWORK"
ttc_manage.pl replace "TTC_ASSERT_OUTPUT_PIN" "TTC_TUNABLE_SELFCHECK_ASSERT_OUTPUT_PIN"
ttc_manage.pl replace "TTC_ASSERT_PACKET" "TTC_TUNABLE_SELFCHECK_ASSERT_PACKET"
ttc_manage.pl replace "TTC_ASSERT_PWR" "TTC_TUNABLE_SELFCHECK_ASSERT_PWR"
ttc_manage.pl replace "TTC_ASSERT_QUEUES" "TTC_TUNABLE_SELFCHECK_ASSERT_QUEUES"
ttc_manage.pl replace "TTC_ASSERT_RADIO" "TTC_TUNABLE_SELFCHECK_ASSERT_RADIO"
ttc_manage.pl replace "TTC_ASSERT_REAL_TIME_CLOCK" "TTC_TUNABLE_SELFCHECK_ASSERT_REAL_TIME_CLOCK"
ttc_manage.pl replace "TTC_ASSERT_REGISTER" "TTC_TUNABLE_SELFCHECK_ASSERT_REGISTER"
ttc_manage.pl replace "TTC_ASSERT_RTC" "TTC_TUNABLE_SELFCHECK_ASSERT_RTC"
ttc_manage.pl replace "TTC_ASSERT_RTLS" "TTC_TUNABLE_SELFCHECK_ASSERT_RTLS"
ttc_manage.pl replace "TTC_ASSERT_SDCARD" "TTC_TUNABLE_SELFCHECK_ASSERT_SDCARD"
ttc_manage.pl replace "TTC_ASSERT_SEMAPHORE" "TTC_TUNABLE_SELFCHECK_ASSERT_SEMAPHORE"
ttc_manage.pl replace "TTC_ASSERT_SLAM" "TTC_TUNABLE_SELFCHECK_ASSERT_SLAM"
ttc_manage.pl replace "TTC_ASSERT_SPI" "TTC_TUNABLE_SELFCHECK_ASSERT_SPI"
ttc_manage.pl replace "TTC_ASSERT_STATES" "TTC_TUNABLE_SELFCHECK_ASSERT_STATES"
ttc_manage.pl replace "TTC_ASSERT_STRING" "TTC_TUNABLE_SELFCHECK_ASSERT_STRING"
ttc_manage.pl replace "TTC_ASSERT_SYSCLOCK" "TTC_TUNABLE_SELFCHECK_ASSERT_SYSCLOCK"
ttc_manage.pl replace "TTC_ASSERT_SYSTICK" "TTC_TUNABLE_SELFCHECK_ASSERT_SYSTICK"
ttc_manage.pl replace "TTC_ASSERT_TASK" "TTC_TUNABLE_SELFCHECK_ASSERT_TASK"
ttc_manage.pl replace "TTC_ASSERT_TCPIP" "TTC_TUNABLE_SELFCHECK_ASSERT_TCPIP"
ttc_manage.pl replace "TTC_ASSERT_TIMER" "TTC_TUNABLE_SELFCHECK_ASSERT_TIMER"
ttc_manage.pl replace "TTC_ASSERT_TOUCHPAD" "TTC_TUNABLE_SELFCHECK_ASSERT_TOUCHPAD"
ttc_manage.pl replace "TTC_ASSERT_TYPES_H" "TTC_ASSERT_TYPES_H"
ttc_manage.pl replace "TTC_ASSERT_USART" "TTC_TUNABLE_SELFCHECK_ASSERT_USART"
ttc_manage.pl replace "TTC_ASSERT_USB" "TTC_TUNABLE_SELFCHECK_ASSERT_USB"
ttc_manage.pl replace "TTC_TUNABLE_SELFCHECK_ASSERT_GFX_EXTRA" "TTC_TUNABLE_DEBUG_ASSERT_GFX_EXTRA"
ttc_manage.pl replace "TTC_TUNABLE_DEBUG_ASSERT_GFX_EXTRA" "TTC_TUNABLE_SELFCHECK_ASSERT_GFX_EXTRA"
