#ifndef EXAMPLE_HEAP_H
#define EXAMPLE_HEAP_H

/** example_ttc_HEAP.h **********************************************{
 *
 *                              The ToolChain
 *
 * Empty template for new header files.
 * Copy and adapt to your needs.
 *
}*/
//{ Includes *************************************************************

#include "../ttc-lib/ttc_basic.h"
#include "../ttc-lib/ttc_memory.h"
#include "../ttc-lib/ttc_heap.h"
#include "../ttc-lib/ttc_list.h"

//}Includes
//{ Defines/ TypeDefs ****************************************************

//}Defines
//{ Structures/ Enums ****************************************************

typedef struct { // example_heap_t
    t_ttc_heap_pool* Pool; // a pool of equal sized memory blocks
    t_ttc_list*      List; // a single linked list that transports pool blocks from one task to another
} example_heap_t;

//}Structures/ Enums
//{ Function declarations **************************************************

/** start point of this example
 *  - initializes data
 * - spawns all threads
 * - returns immediately
 */
void example_ttc_heap_prepare();

/** task running this example
 *
 * @param TaskArgument  passed from ttc_task_create() call.
 */
void task_HEAP( void* TaskArgument );


//InsertFunctionDeclarations above (DO NOT DELETE THIS LINE!)
//}Function Declarations

#endif //EXAMPLE_HEAP_H
